> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.glideapps.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Row

> Updates a row in a Big Table

Updates an existing row in a Big Table.

If a column is not included in the passed row data, it will not be updated. If a column is passed that does not exist in the table schema, or with a value that does not match the column's type, the default behavior is for no update to be made and the API call to [return an error](/api-reference/v2/general/errors#invalid-row-data). However, you can control this behavior with the `onSchemaError` query parameter.


## OpenAPI

````yaml patch /tables/{tableID}/rows/{rowID}
openapi: 3.0.0
info:
  title: ''
  version: 0.0.1
servers:
  - description: Production
    url: https://api.glideapps.com
security:
  - BearerAuth: []
tags: []
paths:
  /tables/{tableID}/rows/{rowID}:
    patch:
      description: Updates a row in a Big Table
      parameters:
        - name: if-match
          in: header
          schema:
            type: string
            pattern: ^"[0-9]+"$
            description: >-
              ETag of the current table version. If provided, the request will
              fail if this row has been updated since the given version. See
              [Data Versioning](/api-reference/v2/tables/versioning).
          required: false
        - name: tableID
          in: path
          schema:
            type: string
            description: ID of the table, e.g., `2a1bad8b-cf7c-44437-b8c1-e3782df6`
            example: 2a1bad8b-cf7c-44437-b8c1-e3782df6
          required: true
        - name: rowID
          in: path
          schema:
            type: string
            description: ID of the row, e.g., `zcJWnyI8Tbam21V34K8MNA`
            example: zcJWnyI8Tbam21V34K8MNA
          required: true
        - name: onSchemaError
          in: query
          schema:
            type: string
            enum:
              - abort
              - dropColumns
              - updateSchema
            description: >-
              The action to take when the passed data does not match the table
              schema:


              - `abort`: Abort the entire operation and return an error.

              - `dropColumns`: Ignore the data that caused the error, and do not
              import those columns in the affected rows.

              - `updateSchema`: Update the schema as needed to add any missing
              columns or widen the data types of existing columns, and then
              import the data from them.
            example: updateSchema
          required: false
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties: {}
              description: "A row object conforming to the schema of the table, where keys are the column IDs and values are the column values:\n\n```json\n{\n\t\"fullName\": \"Alex Bard\",\n\t\"invoiceDate\": \"2024-07-29T14:04:15.561Z\",\n\t\"totalAmount\": 34.50,\n\t\"amountPaid\": 0\n}\n```"
              example:
                fullName: Alex Bard
                invoiceDate: '2024-07-29T14:04:15.561Z'
                totalAmount: 34.5
                amountPaid: 0
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
                additionalProperties: false
                description: >-
                  A 200 HTTP response code indicates that the row was
                  successfully updated.
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                      message:
                        type: string
                    required:
                      - type
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '402':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - payment_required
                      message:
                        type: string
                    required:
                      - type
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - row_not_found
                          - table_not_found
                          - table_not_big_table
                      message:
                        type: string
                    required:
                      - type
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '412':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - precondition_failed
                      message:
                        type: string
                    required:
                      - type
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '422':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - column_has_invalid_value
                          - column_id_reserved
                          - column_id_not_found
                      message:
                        type: string
                    required:
                      - type
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form Bearer `<token>`, where
        `<token>` is your [auth
        token](/api-reference/v2/general/authentication).

````